<template>
  <div>
    <div class="footerbox">
      <div class="left">
        <strong id="footerCorpName">
          Copyright © {{ SiteYear }}
          <a target="_blank" href="#">{{ SiteName }}</a> All rights reserved. |
        </strong>
        <span style="padding-left: 30px; font-size: 9px" id="statusInfo">
        </span>
      </div>
      <div class="right">
        <span style="position: absolute; right: 10px; color: #fff">
          网站备案号：
          <a
            v-if="RecordNo && RecordNoUrl"
            target="_blank"
            :href="RecordNoUrl"
            style="color: #fff"
            >{{ RecordNo }}</a
          >
          &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
          <span id="site_version">{{ SiteVersion }}</span>
        </span>
      </div>
    </div>
  </div>
</template>

<script>
import lodash from "lodash";
export default {
  name: "GlobalFooter",
  data() {
    return {
      SiteName: "",
      SiteVersion: "",
      SiteYear: "",
      RecordNo: "",
      RecordNoUrl: "",
    };
  },
  created() {
    this.SiteName = lodash.get(globalConfig, "Site.FullName", "义维科技");
    this.SiteVersion = lodash.get(globalConfig, "Site.version", "V4.2");
    this.SiteYear = lodash.get(globalConfig, "Site.year", "2022~2030");
    this.RecordNo = lodash.get(globalConfig, "Site.RecordNo");
    this.RecordNoUrl = lodash.get(globalConfig, "Site.RecordNoUrl");
  },
};
</script>

<style  scoped>
.footerbox {
  display: flex;
  justify-content: space-between;
  background-color: #016ec6;
  padding: 10px;
  color: #fff;
}
</style>
